com.fasterxml.jackson.databind.jsonFormatVisitors

## Class JsonFormatVisitorWrapper.Base

- java.lang.Object
- - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper.Base

- All Implemented Interfaces:
    JsonFormatVisitorWithSerializerProvider, JsonFormatVisitorWrapper
  Enclosing interface:
    JsonFormatVisitorWrapper

      public static class JsonFormatVisitorWrapper.Base
      extends Object
      implements JsonFormatVisitorWrapper

  Empty "no-op" implementation of `JsonFormatVisitorWrapper`, suitable for sub-classing. Does implement `setProvider(SerializerProvider)` and `getProvider()` as expected; other methods simply return null and do nothing.
  Since:
    2.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitorWrapper

      `JsonFormatVisitorWrapper.Base`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SerializerProvider` | `_provider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`
    `Base(SerializerProvider p)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JsonAnyFormatVisitor` | `expectAnyFormat(JavaType type)`
    `JsonArrayFormatVisitor` | `expectArrayFormat(JavaType type)`
    `JsonBooleanFormatVisitor` | `expectBooleanFormat(JavaType type)`
    `JsonIntegerFormatVisitor` | `expectIntegerFormat(JavaType type)`
    `JsonMapFormatVisitor` | `expectMapFormat(JavaType type)` Method called when type is of Java `Map` type, and will be serialized as a JSON Object.
    `JsonNullFormatVisitor` | `expectNullFormat(JavaType type)`
    `JsonNumberFormatVisitor` | `expectNumberFormat(JavaType type)`
    `JsonObjectFormatVisitor` | `expectObjectFormat(JavaType type)`
    `JsonStringFormatVisitor` | `expectStringFormat(JavaType type)`
    `SerializerProvider` | `getProvider()`
    `void` | `setProvider(SerializerProvider p)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _provider

          protected SerializerProvider _provider

  - ### Constructor Detail

    - #### Base

          public Base()

    - #### Base

          public Base(SerializerProvider p)

  - ### Method Detail

    - #### getProvider

          public SerializerProvider getProvider()

      Specified by:
        `getProvider` in interface `JsonFormatVisitorWithSerializerProvider`

    - #### setProvider

          public void setProvider(SerializerProvider p)

      Specified by:
        `setProvider` in interface `JsonFormatVisitorWithSerializerProvider`

    - #### expectObjectFormat

          public JsonObjectFormatVisitor expectObjectFormat(JavaType type)
                                                     throws JsonMappingException

      Specified by:
        `expectObjectFormat` in interface `JsonFormatVisitorWrapper`
      Parameters:
        `type` - Declared type of visited property (or List element) in Java
      Throws:
        `JsonMappingException`

    - #### expectArrayFormat

          public JsonArrayFormatVisitor expectArrayFormat(JavaType type)
                                                   throws JsonMappingException

      Specified by:
        `expectArrayFormat` in interface `JsonFormatVisitorWrapper`
      Parameters:
        `type` - Declared type of visited property (or List element) in Java
      Throws:
        `JsonMappingException`

    - #### expectStringFormat

          public JsonStringFormatVisitor expectStringFormat(JavaType type)
                                                     throws JsonMappingException

      Specified by:
        `expectStringFormat` in interface `JsonFormatVisitorWrapper`
      Parameters:
        `type` - Declared type of visited property (or List element) in Java
      Throws:
        `JsonMappingException`

    - #### expectNumberFormat

          public JsonNumberFormatVisitor expectNumberFormat(JavaType type)
                                                     throws JsonMappingException

      Specified by:
        `expectNumberFormat` in interface `JsonFormatVisitorWrapper`
      Parameters:
        `type` - Declared type of visited property (or List element) in Java
      Throws:
        `JsonMappingException`

    - #### expectIntegerFormat

          public JsonIntegerFormatVisitor expectIntegerFormat(JavaType type)
                                                       throws JsonMappingException

      Specified by:
        `expectIntegerFormat` in interface `JsonFormatVisitorWrapper`
      Parameters:
        `type` - Declared type of visited property (or List element) in Java
      Throws:
        `JsonMappingException`

    - #### expectBooleanFormat

          public JsonBooleanFormatVisitor expectBooleanFormat(JavaType type)
                                                       throws JsonMappingException

      Specified by:
        `expectBooleanFormat` in interface `JsonFormatVisitorWrapper`
      Parameters:
        `type` - Declared type of visited property (or List element) in Java
      Throws:
        `JsonMappingException`

    - #### expectNullFormat

          public JsonNullFormatVisitor expectNullFormat(JavaType type)
                                                 throws JsonMappingException

      Specified by:
        `expectNullFormat` in interface `JsonFormatVisitorWrapper`
      Parameters:
        `type` - Declared type of visited property (or List element) in Java
      Throws:
        `JsonMappingException`

    - #### expectAnyFormat

          public JsonAnyFormatVisitor expectAnyFormat(JavaType type)
                                               throws JsonMappingException

      Specified by:
        `expectAnyFormat` in interface `JsonFormatVisitorWrapper`
      Parameters:
        `type` - Declared type of visited property (or List element) in Java
      Throws:
        `JsonMappingException`

    - #### expectMapFormat

          public JsonMapFormatVisitor expectMapFormat(JavaType type)
                                               throws JsonMappingException

      Description copied from interface: `JsonFormatVisitorWrapper`
      Method called when type is of Java `Map` type, and will be serialized as a JSON Object.
      Specified by:
        `expectMapFormat` in interface `JsonFormatVisitorWrapper`
      Throws:
        `JsonMappingException`

Copyright © 2008–2019 FasterXML. All rights reserved.